com.lowagie.text

## Class BadElementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.lowagie.text.DocumentException
      - - com.lowagie.text.BadElementException

All Implemented Interfaces:
  java.io.Serializable

    public class BadElementException
    extends DocumentException

Signals an attempt to create an `Element` that hasn't got the right form.

See Also:
  `DocumentException`, `Cell`, `Table`, Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`BadElementException()` Constructs a `BadElementException` without a message.
`BadElementException(java.lang.Exception ex)` Constructs a BadElementException
`BadElementException(java.lang.String message)` Constructs a `BadElementException` with a message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### BadElementException

    public BadElementException(java.lang.Exception ex)

Constructs a BadElementException

Parameters:
  `ex` - an Exception object that has to be turned into a BadElementException

#### BadElementException

    BadElementException()

Constructs a `BadElementException` without a message.

#### BadElementException

    public BadElementException(java.lang.String message)

Constructs a `BadElementException` with a message.

Parameters:
  `message` - a message describing the exception